Skip to main content
Notifications

Create a notification subscription

POST/v1/notifications/

Authorization

accessKey
x-access-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/notifications/" \  -H "Content-Type: application/json" \  -d '{    "channel": "webhook",    "eventTypes": [      "post.scheduled"    ]  }'
{
  "success": true,
  "notification": {
    "id": "string",
    "channel": "webhook",
    "profileId": "string",
    "eventTypes": [
      "post.scheduled"
    ],
    "onlyScheduledPosts": true,
    "enabled": true,
    "webhook": {
      "url": "http://example.com",
      "secret": "string"
    },
    "email": {
      "recipients": [
        "user@example.com"
      ]
    },
    "lastTestAt": "2019-08-24T14:15:22Z",
    "lastTestStatus": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": true,
  "message": "string"
}